VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisimBox.Scene.NodeMesh Class Reference

Renderable node containing already created renderer mesh object. More...

Inheritance diagram for VisimBox.Scene.NodeMesh:

List of all members.

## Public Member Functions
| NodeMesh (System.Xml.XmlReader reader)
| NodeMesh (Node parent, Mesh rendermesh, IRenderMaterial mat)
| Constructs node with specified parent (and automatically saves itselfs to parents children) and from Mesh.
| NodeMesh (Mesh rendermesh, IRenderMaterial mat)
| Constructs parentless node with mesh.
override void | RenderGeometry (RendererEventArgs args)
| Feed geometry to the renderer (all other settings should be already set)
override void | CreateRenderBuffer ()
| Creates render buffer item.
override void | Dispose ()
void | ResourceDisposing (Resources.IResource resource)
bool | ResourceReplaced (Resources.IResource original, Resources.IResource newresource)
override bool | ReadInternalData (System.Xml.XmlReader reader)
| Reads one item of internal data. Should return true if recognized value (for overloading)
override void | WriteInternalData (System.Xml.XmlWriter writer)
| Write internal data of the node to XML, without subnodes (called from WriteXML)
## Protected Member Functions
| NodeMesh ()
override void | CopyData (Node targetNode)
## Protected Attributes
Mesh | _RenderMesh
IRenderMaterial | _Material
## Properties
bool | ForceSaveMesh`[get, set]`
| if true, will force saving of the mesh geometry to XML
Mesh | RenderMesh`[get]`
| Rendering mesh.
IRenderMaterial | Material`[get, set]`
| Rendering material.
override RenderFlags | DefaultRenderFlags`[get]`
| Default render flags for the node (node will be rendered only if flags are correct)

## Detailed Description

Renderable node containing already created renderer mesh object.

## Constructor & Destructor Documentation

VisimBox.Scene.NodeMesh.NodeMesh | ( |  | ) | `[protected]`

VisimBox.Scene.NodeMesh.NodeMesh | ( | System.Xml.XmlReader | reader | ) |

VisimBox.Scene.NodeMesh.NodeMesh | ( | Node | parent,
|  | Mesh | rendermesh,
|  | IRenderMaterial | mat
| ) |  |

Constructs node with specified parent (and automatically saves itselfs to parents children) and from Mesh.

Parameters:

  parent | Parent node
  rendermesh | Renderable mesh (can be null)

VisimBox.Scene.NodeMesh.NodeMesh | ( | Mesh | rendermesh,
|  | IRenderMaterial | mat
| ) |  |

Constructs parentless node with mesh.

Parameters:

  parent | Parent node
  rendermesh | Renderable mesh (can be null)

## Member Function Documentation

override void VisimBox.Scene.NodeMesh.CopyData | ( | Node | targetNode | ) | `[protected, virtual]`

Reimplemented from VisimBox.Scene.RenderableNode.

Reimplemented in VisimBox.Scene.GeometryNode.

override void VisimBox.Scene.NodeMesh.CreateRenderBuffer | ( |  | ) | `[virtual]`

Creates render buffer item.

Reimplemented from VisimBox.Scene.RenderableNode.

override void VisimBox.Scene.NodeMesh.Dispose | ( |  | ) | `[virtual]`

Reimplemented from VisimBox.Scene.Node.

override bool VisimBox.Scene.NodeMesh.ReadInternalData | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Reads one item of internal data. Should return true if recognized value (for overloading)

Parameters:

  reader | Reader to read from

Returns:
  True if value was handled, false if not

Reimplemented from VisimBox.Scene.RenderableNode.

Reimplemented in VisimBox.Scene.GeometryNode.

override void VisimBox.Scene.NodeMesh.RenderGeometry | ( | RendererEventArgs | args | ) | `[virtual]`

Feed geometry to the renderer (all other settings should be already set)

Parameters:

  args | Rendering events - pointer to rendering context and renderer

Used when rendering from the renderbuffer

Implements VisimBox.Scene.RenderableNode.

void VisimBox.Scene.NodeMesh.ResourceDisposing | ( | Resources.IResource | resource | ) |

bool VisimBox.Scene.NodeMesh.ResourceReplaced | ( | Resources.IResource | original,
|  | Resources.IResource | newresource
| ) |  |

override void VisimBox.Scene.NodeMesh.WriteInternalData | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Write internal data of the node to XML, without subnodes (called from WriteXML)

Parameters:

  writer | XML Writer

Reimplemented from VisimBox.Scene.RenderableNode.

Reimplemented in VisimBox.Scene.GeometryNode.

## Member Data Documentation

IRenderMaterial VisimBox.Scene.NodeMesh._Material`[protected]`

Mesh VisimBox.Scene.NodeMesh._RenderMesh`[protected]`

## Property Documentation

override RenderFlags VisimBox.Scene.NodeMesh.DefaultRenderFlags`[get]`

Default render flags for the node (node will be rendered only if flags are correct)

Reimplemented from VisimBox.Scene.RenderableNode.

Reimplemented in VisimBox.Scene.GeometryNode.

bool VisimBox.Scene.NodeMesh.ForceSaveMesh`[get, set]`

if true, will force saving of the mesh geometry to XML

IRenderMaterial VisimBox.Scene.NodeMesh.Material`[get, set]`

Rendering material.

Mesh VisimBox.Scene.NodeMesh.RenderMesh`[get]`

Rendering mesh.

The documentation for this class was generated from the following file:

- RenderableNode.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events